headless lms

One download you can open, with its files in order

GET /api/member/downloads/{downloadId}. One download you can open, with its files in order. Headless LMS Content API reference.

GET
/api/member/downloads/{downloadId}

For a member of the organization. 404 when the download is not published or you do not hold it.

Path Parameters

downloadId*string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/member/downloads/string"
{  "download": {    "orgId": "string",    "id": "string",    "type": "download",    "title": "string",    "slug": "string",    "description": "string",    "status": "draft",    "category": "string",    "thumbnailAssetId": "string",    "createdAt": "2019-08-24T14:15:22Z",    "updatedAt": "2019-08-24T14:15:22Z",    "thumbnailUrl": "string"  },  "assets": [    {      "orgId": "string",      "id": "string",      "downloadId": "string",      "assetId": "string",      "seq": -9007199254740991,      "displayName": "string",      "createdAt": "2019-08-24T14:15:22Z",      "updatedAt": "2019-08-24T14:15:22Z",      "filename": "string",      "contentType": "string",      "size": 0,      "url": "string"    }  ]}
{  "error": "string",  "message": "string",  "requestId": "string",  "issues": [    {      "path": "string",      "message": "string"    }  ]}
{  "error": "string",  "message": "string",  "requestId": "string"}
{  "error": "string",  "message": "string",  "requestId": "string"}
{  "error": "string",  "message": "string",  "requestId": "string"}
{  "error": "string",  "message": "string",  "requestId": "string"}